{*******************************************************}
{File:      NCOciBreakDlg.pas                           }
{Revision:  0.01.00 / 03.11.1999                        }
{Comment:   NC OCI8 VCL: Oracle8 login dialog           }
{Copyright: (c) 1999, Nica-Com Ltd.                     }
{Author:    Dmitry Arefiev, diman@ncom.ru               }
{*******************************************************}
{$I NCOciDef.inc}

unit NCOciBreakDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, NCOciDB;

type
  TNCOciBreakFrm = class(TForm)
    Animate1: TAnimate;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
    FDatabase: TOCIDatabase;
  public
    { Public declarations }
    class procedure Execute(ADatabase: TOCIDatabase);
    class procedure Cancel;
  end;

var
  NCOciBreakFrm: TNCOciBreakFrm;

implementation

{$R *.DFM}

class procedure TNCOciBreakFrm.Execute(ADatabase: TOCIDatabase);
begin
    if NCOciBreakFrm = nil then
{$IFDEF OCI_BCB}
        NCOciBreakFrm := TNCOciBreakFrm.Create(nil, 0);
{$ELSE}
        NCOciBreakFrm := TNCOciBreakFrm.Create(nil);
{$ENDIF}
    NCOciBreakFrm.FDatabase := ADatabase;
    NCOciBreakFrm.Show;
end;

class procedure TNCOciBreakFrm.Cancel;
begin
    if NCOciBreakFrm <> nil then
        NCOciBreakFrm.Hide;
end;

procedure TNCOciBreakFrm.Button1Click(Sender: TObject);
begin
    FDatabase.Break;
end;

end.
