{*******************************************************}
{File:      NCOciBuff.PAS                               }
{Revision:  0.03.01 / 05.11.1999                        }
{Comment:   NC OCI8 VCL: string resources               }
{Copyright: (c) 1999, Nica-Com Ltd.                     }
{Author:    Dmitry Arefiev, diman@ncom.ru               }
{*******************************************************}
{$I NCOciDef.inc}

unit NCOciMsg;

interface

resourcestring
    // NCOciWrapper
    msgOCINotInstalled = 'NOE1/INIT - Oracle not properly istalled on this machine';
    msgOCIBadVersion = 'NOE2/INIT - Bad OCI version [%s]. NCOCI8 need at least 8.0';
    msgOCINotLoaded = 'NOE3/INIT - Error when loading OCI dll';
    msgOCIOutOfCount = 'NOE4/VAR - Index is out of array range';
    msgOCIBadValueSize = 'NOE5/VAR - Bad or undefined variable value size';
    msgOCIBadArrayLen = 'NOE6/VAR - Bad or undefined variable array length';
    msgOCIBadValueType = 'NOE7/VAR - Bad or undefined variable [%s] value type %d';
    msgOCIUnsupValueType = 'NOE8/VAR - Unsupported variable data type';
    msgOCIDataMBAtRt = 'NOE9/VAR - Can not modify RETURN variable';
    msgOCIDataToLarge = 'NOE10/VAR - Data is to large for variable';
    msgOCIVarWithoutStmt = 'NOE11/VAR - Variable require prepared statement for operation';
    msgOCIBadVarType = 'NOE12/VAR - Bad or undefined variable param type';
    msgOCIUndefPWVar = 'NOE13/STMT - Piece wiese operation for unknown variable';
    msgOCIBadTypePWVar = 'NOE14/STMT - Piece wiese operation for invalid variable';

    // NCOciBuff
    msgOCIBuffMBOpen = 'NOE50/DEADCRS - OCI cursor must be opened';
    msgOCIBuffMBClose = 'NOE51/DEADCRS - OCI cursor must be closed';
    msgOCIInvalidRNO = 'NOE52/DEADCRS - Invalid record number';
    msgOCIInvalidVarIndex = 'NOE53/DEADCRS - Invalid define variable position';
    msgOCIModifyNotDelphiBuff = 'NOE54/DEADCRS - TOCIDataSet buffer operation with non [rsDelphiBuff] buffer';
    msgOCICantModifyBuff = 'NOE55/DEADCRS - Can not delete/modify [rsEmpty, rsNew*Applyed, rsDelphiBuff] buffer';
    msgOCIInvalidBmk = 'NOE56/DEADCRS - Invalid bookmark';
    msgOCIApplyFailed = 'NOE57/DEADCRS - Apply of cached updates failed';
    msgOCIRecurseApply = 'NOE58/DEADCRS - Cannot recurse apply cached updates';
    msgOCINoApplyCallback = 'NOE59/DEADCRS - To apply updates need callback';
    msgOCIMustBeBidir = 'NOE60/DEADCRS - OCI cursor must be bidirectional';

    // NCOciParams
    msgOCIBadParamVal = 'NOE80/PAR - Can not assign value to parameter';
    msgOCIComplexType = 'NOE81/PAR - For complex type params use specific methods';
    msgOCIMacroNotFound = 'NOE82/PAR - Macros [%s] not found';

    // NCOciDB
    msgOCIDBmbActive = 'NOE100/DB - DataBase must be active';
    msgOCIDBmbInactive = 'NOE101/DB - DataBase must be inactive';
    msgOCIDBLoginRetries = 'NOE102/DB - Unable to connect to ORACLE after %d attempts';
    msgOCIDBUnknown = 'NOE103/DB - DataBase [%s] is unknown';
    msgDataSetNotEditing = 'NOE110/DS - DataSet not in Edit modes';
    msgOCIBlobReadOnly = 'NOE120/BLOB - BLOB field [%s] readonly';
    msgOCILongStreamInvalid = 'NOE121/BLOB - TOCILongStream can''t be used for field [%s]';
    msgOCILOBStreamInvalid = 'NOE122/BLOB - TOCILobStream can''t be used for field [%s]';
    msgOCIFieldIsNotBLOB = 'NOE123/BLOB - Field is not a BLOB field';
    msgOCIStmtCantOpen = 'NOE127/Q - Can not call Open for a statement without rowset';
    msgOCIStmtCantExec = 'NOE128/Q - Can not call ExecSQL for statement with rowset';
    msgOCIKeyFieldsEmpty = 'NOE129/Q - Can not refresh rowset, undefined key fields'; 
    msgOCINotPLSQLObj = 'NOE130/SP - [%s] is not a callable PL/SQL object';
    msgOCIPLSQLObjNameEmpty = 'NOE131/SP - PL/SQL object name is empty';
    msgOCIPLSQLNotRemote = 'NOE132/SP - Remote PL/SQL objects not supported (use TOCIQuery)';
    msgOCIPLSQLNameError = 'NOE133/SP - Cannot parse PL/SQL objects name';
    msgOCINotPackageProc = 'NOE134/SP - [%s] is not a proc of package [%s]';
    msgOCIBadTableType = 'NOE135/SP - Parameter with type TABLE OF BOOLEAN/RECORD not supported (use TOCIQuery)';

    // NCOciFilter
    msgOCIFilterNotFound = 'NOE150/FLT - Filter [%s] not found';

implementation

end.

